Package org.w3c.tidy

# Interface Out

All Known Implementing Classes:
  `OutJavaImpl`

public interface Out
Tidy Output interface.

Version:
  $Revision: 807 $ ($Author: fgiust $)
Author:
  Dave Raggett dsr@w3.org , Andy Quick ac.quick@sympatico.ca (translation to Java), Fabrizio Giustina

## Method Summary

Modifier and Type
Method
Description
`void`
`flush()`
Flush the stream.
`void`
`newline()`
writes a newline.
`void`
`outc(byte c)`
writes a byte.
`void`
`outc(int c)`
writes an char.

## Method Details

### outc

void outc(int c)
writes an char.

Parameters:
  `c` - char to write

### outc

void outc(byte c)
writes a byte.

Parameters:
  `c` - byte to write

### newline

void newline()
writes a newline.

### flush

void flush()
Flush the stream.